For the complete documentation index, see llms.txt. This page is also available as Markdown.

/synthetic/instruments

POST /api/synthetic/instruments

{
    "pageNumber": 0,
    "pageSize": 250
}
Parameter
Type
Description

pageNumber

number

Number of a page to retrieve. Starts with 0

pageSize

number

Amount of elements per page

{
    "content": [
        {
            "id": 10,
            "name": "ETH-USD:USDT-USD",
            "legs": [
                {
                    "name": "ETH-USD",
                    "inverted": false
                },
                {
                    "name": "USDT-USD",
                    "inverted": true
                }
            ]
        },
        ...
    ],
    "totalElements": 1,
    "size": 250,
    "number": 0,
    "error": 0
}
Attribute
Type
Description

error

Efx::ErrorCode

Operation result code. Possible values are in List of Error Codes

content.id

number

Id of Synthetic Instrument

content.name

string

Technical Name of Synthetic Instrument

content.legs.name

string

Name of Direct Instrument that forms Synthetic Instrument

content.legs.inverted

boolean

Flag that highlights if Direct Instrument is inverted within specified Synthetic Instrument. Defines how internal calculations related to Synthetic Instrument are made

size

number

Elements page size

number

number

Current page number. Starts with 0

totalElements

number

Total amount of elements

Last updated